> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 제공업체 프록시

> ARouter API Key를 사용하여 지원되는 제공업체에 직접 요청을 프록시합니다. 여러 제공업체 키를 관리할 필요가 없습니다.

ARouter의 제공업체 프록시를 사용하면 ARouter API Key를 인증으로 사용하여 지원되는 제공업체의 네이티브 API에 직접 요청을 전달할 수 있습니다. 각 제공업체에 대한 개별 API Key를 관리할 필요가 없습니다.

## 엔드포인트

```
POST /{provider}/{path}
GET  /{provider}/{path}
```

`{provider}`는 제공업체 슬러그이고, `{path}`는 제공업체의 네이티브 API 경로입니다.

## 제공업체 프록시 사용 시기

| 사용 사례                                          | 권장 방법                                       |
| ---------------------------------------------- | ------------------------------------------- |
| 표준 LLM 채팅 완성                                   | `provider/model` 형식의 `/v1/chat/completions` |
| 제공업체별 기능 (예: Anthropic Batches, Gemini 캐시 콘텐츠) | `/{provider}/{path}` 프록시                    |
| 네이티브 스트리밍 형식                                   | `/{provider}/{path}` 프록시                    |
| ARouter 스키마에 없는 제공업체별 파라미터                     | `/{provider}/{path}` 프록시                    |

## 지원되는 제공업체

| 제공업체             | 슬러그         | 기본 URL                                      |
| ---------------- | ----------- | ------------------------------------------- |
| OpenAI           | `openai`    | `https://api.openai.com`                    |
| Anthropic        | `anthropic` | `https://api.anthropic.com`                 |
| Google Gemini    | `google`    | `https://generativelanguage.googleapis.com` |
| DeepSeek         | `deepseek`  | `https://api.deepseek.com`                  |
| xAI              | `xai`       | `https://api.x.ai`                          |
| Kimi (Moonshot)  | `kimi`      | `https://api.moonshot.cn`                   |
| MiniMax          | `minimax`   | `https://api.minimax.chat`                  |
| Mistral          | `mistral`   | `https://api.mistral.ai`                    |
| Groq             | `groq`      | `https://api.groq.com`                      |
| Cohere           | `cohere`    | `https://api.cohere.com`                    |
| NVIDIA           | `nvidia`    | `https://integrate.api.nvidia.com`          |
| Dashscope (알리바바) | `dashscope` | `https://dashscope.aliyuncs.com`            |

## 예시

### OpenAI — 채팅 완성

```bash theme={null}
curl https://api.arouter.ai/openai/v1/chat/completions \
  -H "Authorization: Bearer lr_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
```

### Anthropic — 메시지

```bash theme={null}
curl https://api.arouter.ai/anthropic/v1/messages \
  -H "Authorization: Bearer lr_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "claude-sonnet-4.6",
    "max_tokens": 1024,
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
```

### Anthropic — 메시지 배치

```bash theme={null}
# 배치 생성
curl https://api.arouter.ai/anthropic/v1/messages/batches \
  -X POST \
  -H "Authorization: Bearer lr_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "requests": [
      {
        "custom_id": "request-1",
        "params": {
          "model": "claude-sonnet-4.6",
          "max_tokens": 1024,
          "messages": [{"role": "user", "content": "Hello!"}]
        }
      }
    ]
  }'

# 배치 상태 확인
curl https://api.arouter.ai/anthropic/v1/messages/batches/msgbatch_xxx \
  -H "Authorization: Bearer lr_live_xxxx"
```

### Google Gemini — 콘텐츠 생성

```bash theme={null}
curl "https://api.arouter.ai/google/v1beta/models/gemini-2.5-flash:generateContent" \
  -X POST \
  -H "Authorization: Bearer lr_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "contents": [
      {"role": "user", "parts": [{"text": "Hello!"}]}
    ]
  }'
```

### Google Gemini — 모델 목록

```bash theme={null}
curl "https://api.arouter.ai/google/v1beta/models" \
  -H "Authorization: Bearer lr_live_xxxx"
```

### DeepSeek — 채팅 완성

```bash theme={null}
curl https://api.arouter.ai/deepseek/v1/chat/completions \
  -H "Authorization: Bearer lr_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "deepseek-v3.2",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
```

## 참고 사항

* **인증**: ARouter가 제공업체의 API Key를 자동으로 주입합니다. ARouter Key만 필요합니다.
* **네이티브 형식**: 요청과 응답은 그대로 전달됩니다 — ARouter는 변환을 수행하지 않습니다.
* **사용량 추적**: Token 사용량은 여전히 ARouter 계정에 기록됩니다.
* **경로 패스스루**: `/{provider}/` 이후의 모든 내용이 제공업체에 그대로 전달됩니다.

<Tip>
  Anthropic에 제공업체 프록시를 사용할 때 `anthropic-version` 헤더가 자동으로 주입됩니다. 포함할 필요가 없습니다.
</Tip>
